Agregar y/o eliminar registros de una lista
curl --request PUT \
--url https://api.hubapi.com/crm/lists/2026-03/{listId}/memberships/add-and-remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recordIdsToAdd": [
"<string>"
],
"recordIdsToRemove": [
"<string>"
]
}
'import requests
url = "https://api.hubapi.com/crm/lists/2026-03/{listId}/memberships/add-and-remove"
payload = {
"recordIdsToAdd": ["<string>"],
"recordIdsToRemove": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({recordIdsToAdd: ['<string>'], recordIdsToRemove: ['<string>']})
};
fetch('https://api.hubapi.com/crm/lists/2026-03/{listId}/memberships/add-and-remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"recordIdsMissing": [
"<string>"
],
"recordIdsRemoved": [
"<string>"
],
"recordsIdsAdded": [
"<string>"
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Membresías
Update list membership
Agregar a y/o eliminar de una lista registros que ya han sido creados en el sistema.
Este punto de terminación solo funciona para listas que tienen un “processingType” de “MANUAL” o “INSTANTÁNEA”.
PUT
/
crm
/
lists
/
2026-03
/
{listId}
/
memberships
/
add-and-remove
Agregar y/o eliminar registros de una lista
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
El ID de ILS de la lista "MANUAL" o "INSTANTÁNEA".
Respuesta
successful operation
Los ID de los registros identificados como "faltante" (por ejemplo, no existían en el portal) y, por lo tanto, no fueron "agregados" o "eliminados".
Los ID de los registros que fueron "eliminados" de la lista.
Última modificación el 3 de abril de 2026
⌘I